- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Data Structures | Typedefs | Functions
efreet_uri.h File Reference

Contains the methods used to support the FDO URI specification. More...

## Data Structures
struct | Efreet_Uri
| Efreet_Uri. More...

## Typedefs
typedef struct Efreet_Uri | Efreet_Uri
| Efreet_Uri.

## Functions
const char * | efreet_uri_encode (Efreet_Uri *uri)
| Get the string rapresentation of the given uri struct escaping illegal caracters. Remember to free the string with eina_stringshare_del() when you don't need it anymore. More...
Efreet_Uri * | efreet_uri_decode (const char *val)
| Read a single uri and return an Efreet_Uri struct. If there's no hostname in the uri then the hostname parameter will be NULL. All the uri escaped chars will be converted to normal. More...
void | efreet_uri_free (Efreet_Uri *uri)
| Free the given uri structure. More...

## Detailed Description

Contains the methods used to support the FDO URI specification.